# IGListBindable Protocol Reference

# IGListBindable

Objective-C

    @protocol IGListBindable <NSObject>

Swift

    protocol ListBindable : NSObjectProtocol

A protocol for cells that configure themselves given a view model.

- `-bindViewModel:`

  Tells the cell to configure itself with the given view model.

  Note

  The view model can change many times throughout the lifetime of a cell as the model values change and the cell is reused. Implementations should use only this method to do their configuration.

  #### Declaration

  Objective-C

      - (void)bindViewModel:(nonnull id)viewModel;

  Swift

      func bindViewModel(_ viewModel: Any)

  #### Parameters

  `viewModel` | The view model for the cell.

© 2024 Instagram. All rights reserved. (Last updated: 2024-05-13)

Generated by jazzy ♪♫ v0.15.0, a Realm project.